Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
Remove a URL from the cache before its next scrape.
cURL
curl --request POST \ --url https://api.pagepith.com/v1/api/invalidate \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data ' { "url": "https://example.com" } '
const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: JSON.stringify({url: 'https://example.com'}) }; fetch('https://api.pagepith.com/v1/api/invalidate', options) .then(res => res.json()) .then(res => console.log(res)) .catch(err => console.error(err));
import requests url = "https://api.pagepith.com/v1/api/invalidate" payload = { "url": "https://example.com" } headers = { "Authorization": "Bearer <token>", "Content-Type": "application/json" } response = requests.post(url, json=payload, headers=headers) print(response.text)
{ "ok": true }
{ "error": "unauthorized", "message": "<string>" }
Your API key as a Bearer token: Authorization: Bearer <api-key>.
Authorization: Bearer <api-key>
Invalidated.
Was this page helpful?